Categories:
  - Science & Education
License: GPL-3.0-only
AuthorName: Alexei Pesic
AuthorWebSite: https://alexei.pesic.dev/
SourceCode: https://github.com/apesic/rpncalc
IssueTracker: https://github.com/apesic/rpncalc/issues

AutoName: RPNcalc

RepoType: git
Repo: https://github.com/apesic/rpncalc

Builds:
  - versionName: 1.0.1
    versionCode: 2
    commit: v1.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.4
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.3
    versionCode: 4
    commit: v1.0.3
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.4
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.3
CurrentVersionCode: 4
